GNU bug report logs - #11911
libtool ignoring parameters in link mode ?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: espie@HIDDEN; dated Wed, 11 Jul 2012 16:17:01 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Oct 2012 16:10:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 10 12:10:48 2012
Received: from localhost ([127.0.0.1]:37793 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TLyrv-0006Wd-DU
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 12:10:48 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58000)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <gnu-bug-libtool@HIDDEN>) id 1TLyAd-0005RS-1W
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:26:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <gnu-bug-libtool@HIDDEN>) id 1TLy9q-00018Y-Mn
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:25:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.7 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI,
	RCVD_NUMERIC_HELO autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:35741)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <gnu-bug-libtool@HIDDEN>) id 1TLy9q-00018G-JV
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:25:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34671)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <gnu-bug-libtool@HIDDEN>) id 1TLy9k-0005GK-G7
	for bug-libtool@HIDDEN; Wed, 10 Oct 2012 11:25:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <gnu-bug-libtool@HIDDEN>) id 1TLy9e-0000l4-O2
	for bug-libtool@HIDDEN; Wed, 10 Oct 2012 11:25:08 -0400
Received: from plane.gmane.org ([80.91.229.3]:58924)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <gnu-bug-libtool@HIDDEN>) id 1TLy9e-0000gy-Gz
	for bug-libtool@HIDDEN; Wed, 10 Oct 2012 11:25:02 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
	(envelope-from <gnu-bug-libtool@HIDDEN>) id 1TLy9f-0003bX-Kb
	for bug-libtool@HIDDEN; Wed, 10 Oct 2012 17:25:03 +0200
Received: from 189.8.253.161 ([189.8.253.161])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-libtool@HIDDEN>; Wed, 10 Oct 2012 17:25:03 +0200
Received: from ama by 189.8.253.161 with local (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-libtool@HIDDEN>; Wed, 10 Oct 2012 17:25:03 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-libtool@HIDDEN
From: Alexandre Andrade <ama@HIDDEN>
Subject: Re: bug#11911: libtool ignoring parameters in link mode ?
Date: Wed, 10 Oct 2012 14:48:27 +0000 (UTC)
Lines: 5
Message-ID: <loom.20121010T160927-627@HIDDEN>
References: <20120711092832.GB2786@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: sea.gmane.org
User-Agent: Loom/3.14 (http://gmane.org/)
X-Loom-IP: 189.8.253.161 (Mozilla/5.0 (Windows NT 6.1;
	WOW64) AppleWebKit/537.4 (KHTML, like Gecko) Chrome/22.0.1229.92
	Safari/537.4)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 10 Oct 2012 12:10:45 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

I second that.

Found the same behavior here! :-(







Information forwarded to bug-libtool@HIDDEN:
bug#11911; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Jul 2012 16:16:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 11 12:16:19 2012
Received: from localhost ([127.0.0.1]:33658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SozaM-0002kc-KE
	for submit <at> debbugs.gnu.org; Wed, 11 Jul 2012 12:16:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33447)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <espie@HIDDEN>) id 1SotJL-0001FC-UE
	for submit <at> debbugs.gnu.org; Wed, 11 Jul 2012 05:34:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <espie@HIDDEN>) id 1SotE0-0001iS-0y
	for submit <at> debbugs.gnu.org; Wed, 11 Jul 2012 05:28:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:56261)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <espie@HIDDEN>) id 1SotDz-0001iI-Uv
	for submit <at> debbugs.gnu.org; Wed, 11 Jul 2012 05:28:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35242)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <espie@HIDDEN>) id 1SotDt-0006v7-AG
	for bug-libtool@HIDDEN; Wed, 11 Jul 2012 05:28:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <espie@HIDDEN>) id 1SotDq-0001g0-G8
	for bug-libtool@HIDDEN; Wed, 11 Jul 2012 05:28:40 -0400
Received: from bamako.nerim.net ([178.132.17.28]:62496)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <espie@HIDDEN>) id 1SotDq-0001fW-AE
	for bug-libtool@HIDDEN; Wed, 11 Jul 2012 05:28:38 -0400
Received: from localhost (localhost [127.0.0.1])
	by bamako.nerim.net (Postfix) with ESMTP id 3CB0C39E072
	for <bug-libtool@HIDDEN>; Wed, 11 Jul 2012 11:28:40 +0200 (CEST)
X-Virus-Scanned: amavisd-new at nerim.net
Received: from bamako.nerim.net ([127.0.0.1])
	by localhost (bamako.nerim.net [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id HaBUhPuVxS4D for <bug-libtool@HIDDEN>;
	Wed, 11 Jul 2012 11:28:38 +0200 (CEST)
Received: from espie.gentiane.org (espie.net8.nerim.net [213.41.185.88])
	by bamako.nerim.net (Postfix) with ESMTPS id 18BA339DFFC
	for <bug-libtool@HIDDEN>; Wed, 11 Jul 2012 11:28:38 +0200 (CEST)
Received: from lain.home (espie@HIDDEN [127.0.0.1])
	by espie.gentiane.org (8.14.3/8.12.11) with ESMTP id q6B9SXwJ029560
	for <bug-libtool@HIDDEN>; Wed, 11 Jul 2012 11:28:33 +0200 (CEST)
Received: (from espie@localhost)
	by lain.home (8.14.3/8.13.8/Submit) id q6B9SWs3025089
	for bug-libtool@HIDDEN; Wed, 11 Jul 2012 11:28:32 +0200 (CEST)
Date: Wed, 11 Jul 2012 11:28:32 +0200
From: Marc Espie <espie@HIDDEN>
To: bug-libtool@HIDDEN
Subject: libtool ignoring parameters in link mode ?
Message-ID: <20120711092832.GB2786@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.21 (2010-09-15)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 11 Jul 2012 12:16:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: espie@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

This behavior verified in old libtool-1.5 and in most recent libtool-2.4...

I'm pretty sure that's  not intentional design. Maybe it is, but
undocumented.

I've seen several instances of bogus build infrastructures doing
wacky things such as

libtool link cc -o somelib --export-symbols a.def ...

or
libtool link cc -o prog a.c a.o

in both cases, this 'works': in the end link command, the extra
stuff simply gets ignored.
So in the first case, --export-symbols which is a mispelled -export-symbols
gets ignored.
And in the second case, the extra copy of the c file gets ignored.

I'm pretty much surprised, I thought that in general, whatever you passed
to libtool that it didn't know about it would just pass it along to the
linker stage.


At the very least, I believe that simply ignoring  those extra arguments
is very dangerous...   in the first case, you end up having a library that
exports every symbol where you thought you only were exporting some symbols!




Acknowledgement sent to espie@HIDDEN:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#11911; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.